/*
 * IServerObjectReceiver.java
 *
 *  Microsoft, 2003-2009
 * Confidential and proprietary.
 */

package com.microsoft.jars.VoiceSearch;

import java.util.Vector;


/**
 * The <code>INetworkObjectReceiver</code> interface defines the callback fuction for the network response.  
 */
public interface IServerObjectReceiver {
    
    /**
    * Callback funtion.
    * 
    * @param result    The CNetworkResponseBase instance.
    */
    void onResult(Vector<String> results);
} 
