package com.microsoft.mobileexperiences.bing.httpthreadpool;

import java.io.InputStream;
import java.util.Hashtable;

public class HttpDefaultResponse extends HttpResponseBase{
	private InputStream responseStream;
	private Hashtable<String, String> headers;
	
	public HttpDefaultResponse(InputStream responseStream, Hashtable<String, String> headers)
	{
		super();	
		this.responseStream = responseStream;
		this.headers = headers;
	}
	
	public InputStream getResponseStream()
	{
		return responseStream;
	}
	
	public Hashtable<String, String> getHeaders()
	{
		return headers;
	}		
}
