(function () {
    var appLinks = _d.querySelectorAll("a[data-appcontext][data-additionalprops]");

    for(var i = 0; i < appLinks.length; ++i) {
        var appLink = appLinks[i];

        var href = appLink.getAttribute("href") || "";
        var additionalPropsString = appLink.getAttribute("data-additionalprops") || "";
        var appUrl = appLink.getAttribute("data-app-href") || "";
        var packageName = appLink.getAttribute("data-appcontext") || "";

        var appUrl = null;

        try
        {
            var additionalProps = JSON.parse(additionalPropsString);
            appUrl = additionalProps.LaunchUrl;
        }
        catch(e){}

        if(appUrl.indexOf("http://") === 0 || appUrl.indexOf("https://") === 0) {
            continue;
        }

        if(appUrl && packageName)
        {
            if(href && href.indexOf("http://") != 0 && href.indexOf("https://") != 0) {
                href = "";
            }

            var deepLinkUrl = ["bingsnapp:///?url=", encodeURIComponent(href),"&applink=", encodeURIComponent(appUrl), "&packagename=", encodeURIComponent(packageName)].join("");
            appLink.setAttribute("data-initial-href", href);
            appLink.setAttribute("href", deepLinkUrl);
        }
    }
})();