(function () {
    var lastReportedHeight = null;
    function onResizeHandlerImpl(cardHeight) {
        if(cardHeight === lastReportedHeight) {
            return;
        }

        lastReportedHeight = cardHeight;
        window.location = "bingsnapp:///setCardStatus?height=" + cardHeight;
    }

    window.snappOnResizeHandler = onResizeHandlerImpl;

    var lastReadHeight = null;
    var timer = null;
    function onResizeHandler() {
        var cardHeight = document.body.offsetHeight;
        if(cardHeight === lastReadHeight) {
            return;
        }

        /* Ignore first change */
        if(lastReadHeight === null) {
            lastReadHeight = cardHeight;
            return;
        }

        lastReadHeight = cardHeight;

        if(timer) {
            clearTimeout(timer);
            timer = null;
        }

        timer = setTimeout(function() { onResizeHandlerImpl(cardHeight); }, 50);
    }

    setInterval(onResizeHandler, 10);
})();